Package: org.gmetrics

## [Groovy] Class GMetricsRunner

- org.gmetrics.GMetricsRunner

- Helper class to run GMetrics.

  The following properties must be configured before invoking the `execute()` method:
  - `sourceAnalyzer` - An instance of a `org.gmetrics.analyzer.SourceAnalyzer` implementation.
  - `reportWriters` - The list of `ReportWriter` instances. A report is generated for each element in this list. This list can be empty, but cannot be null.
  NOTE: This is an internal class. Its API is subject to change.
  Authors:
    Chris Mair
  Version:
    \$Revision: 95 \$ - \$Date: 2010-03-08 22:00:10 -0500 (Mon, 08 Mar 2010) \$

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MetricSet` | `metricSet`
    `List` | `reportWriters`
    `SourceAnalyzer` | `sourceAnalyzer`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ResultsNode` | `execute()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### MetricSet metricSet

    - #### List reportWriters

    - #### SourceAnalyzer sourceAnalyzer

  - ### Method Detail

    - #### ResultsNode execute()